package _VisualDVM.TestingSystem.Common;
import _VisualDVM.TestingSystem.SAPFOR.PerformSapforTask;
import _VisualDVM.TestingSystem.SAPFOR.SapforTask.SapforTask;

import java.io.File;
public class TaskThread extends Thread {
    public SapforTask task = null;
    public TaskThread(SapforTask task_, File sapfor_drv) {
        super(() -> {
            while (!task_.state.isComplete()) {
                task_.Reset();
                new PerformSapforTask().Do(task_, sapfor_drv);
            }
        });
        task = task_;
    }
}
